from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String, File

Gcloud_Compute_Scp_V0_1_0 = CommandToolBuilder(tool="gcloud_compute_scp", base_command=["gcloud", "compute", "scp"], inputs=[ToolInput(tag="in_compress", input_type=Boolean(optional=True), prefix="--compress", doc=InputDocumentation(doc="Enable compression.")), ToolInput(tag="in_dry_run", input_type=Boolean(optional=True), prefix="--dry-run", doc=InputDocumentation(doc="If provided, prints the command that would be run to standard out\ninstead of executing it.")), ToolInput(tag="in_force_key_file_overwrite", input_type=Boolean(optional=True), prefix="--force-key-file-overwrite", doc=InputDocumentation(doc="If enabled gcloud will regenerate and overwrite the files associated\nwith a broken SSH key without asking for confirmation in both\ninteractive and non-interactive environment.\nIf disabled gcloud will not attempt to regenerate the files associated\nwith a broken SSH key and fail in both interactive and non-interactive\nenvironment.")), ToolInput(tag="in_plain", input_type=Boolean(optional=True), prefix="--plain", doc=InputDocumentation(doc="Suppresses the automatic addition of ssh(1)/scp(1) flags. This flag is\nuseful if you want to take care of authentication yourself or use\nspecific ssh/scp features.")), ToolInput(tag="in_port", input_type=String(optional=True), prefix="--port", doc=InputDocumentation(doc="The port to connect to.")), ToolInput(tag="in_recurse", input_type=Boolean(optional=True), prefix="--recurse", doc=InputDocumentation(doc="Upload directories recursively.")), ToolInput(tag="in_scp_flag", input_type=String(optional=True), prefix="--scp-flag", doc=InputDocumentation(doc="Extra flag to be sent to scp. This flag may be repeated.")), ToolInput(tag="in_ssh_key_file", input_type=File(optional=True), prefix="--ssh-key-file", doc=InputDocumentation(doc="The path to the SSH key file. By default, this is\n~/.ssh/google_compute_engine.")), ToolInput(tag="in_strict_host_key_checking", input_type=String(optional=True), prefix="--strict-host-key-checking", doc=InputDocumentation(doc="Override the default behavior of StrictHostKeyChecking. By default,\nStrictHostKeyChecking is set to 'no' the first time you connect to an\ninstance and will be set to 'yes' for all subsequent connections. Use\nthis flag to specify a value for the connection.\nSTRICT_HOST_KEY_CHECKING must be one of: yes, no, ask.")), ToolInput(tag="in_zone", input_type=String(optional=True), prefix="--zone", doc=InputDocumentation(doc="The zone of the instance to copy files to/from.\nIf not specified, you may be prompted to select a zone.\nTo avoid prompting when this flag is omitted, you can set the\ncompute/zone property:\n$ gcloud config set compute/zone ZONE\nA list of zones can be fetched by running:\n$ gcloud compute zones list\nTo unset the property, run:\n$ gcloud config unset compute/zone\nAlternatively, the zone can be stored in the environment variable\nCLOUDSDK_COMPUTE_ZONE.")), ToolInput(tag="in_transfer_dot", input_type=String(), position=0, doc=InputDocumentation(doc="When the destination is local, all sources must be the same virtual machine"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Gcloud_Compute_Scp_V0_1_0().translate("wdl", allow_empty_container=True)

